---
displayed_sidebar: jsClientSidebar
---

# Interface: AxiosPromise<T\>

[internal](../modules/internal.md).AxiosPromise

## Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `any` |

## Hierarchy

- `Promise`<[`AxiosResponse`](internal.AxiosResponse.md)<`T`\>\>

  ↳ **`AxiosPromise`**
